<!-- Header -->
<app-header></app-header>

<div class="container">

  <!-- Partie 1 : Table de multiplication -->
  <label class="mt-4">Nombre :</label>
  <!-- Ici se trouve un input ou l'utilisateur rentre le nombre qu'il veut calculer -->
  <input type="number" [formControl]="nombre" class="form-control shadow mb-4" placeholder="1, 2, 3, 4..."/>
  <!-- La table de multiplication s'affiche  -->
  <div *ngIf="nombre.value != '' && nombre.value != null; else noNombre">
     <!-- Le composant reçoit le nombre à calculer -->
    <app-table-multiplication [nombre]="nombre.value"></app-table-multiplication>
  </div>
  <!-- Si l'utilisateur n'a pas rentré de nombre, cela affichera le contenu ci-dessous -->
  <ng-template #noNombre>
    <p class="lead">Entrez un nombre pour commencer</p>
  </ng-template>


  <hr>

  <!-- Partie 2 -->
  <!-- Ici se trouve un input ou l'utilisateur rentre le nombre de tables à afficher -->
  <label class="mt-4">Nombre de tables :</label>
  <input type="number" [formControl]="nombreDeTables" class="form-control shadow mb-4" placeholder="1, 2, 3, 4..."/>
  <!-- Le composant enfant reçoit le nombre de tables à afficher -->
  <app-tables-multiplication [nombreDeTables]="nombreDeTables.value"></app-tables-multiplication>
</div>
